
Ruby - Feature #2574

merging net/https

01/08/2010 09:40 AM - naruse (Yui NARUSE)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

Description

=begin

現在 net/https はほとんど抜け殻で、ほぼ require 'openssl' するためだけに存在するのですが、

残っているロジックも net/http に移してしまって、net/http だけで https も扱えるようにしませんか。

autoload を使って https に実際にアクセスしたときに openssl ライブラリをロードするようにしたので、

無駄に読み込むこともありません。

なお、net/https は require を使うままにしているので、こちらだともし openssl ライブラリがない場合、

net/https ロード時にエラーが出るという現在の挙動をそのまま利用できます。

=end

History

#1 - 01/08/2010 04:59 PM - matz (Yukihiro Matsumoto)

=begin

まつもと ゆきひろです

In message "Re: [ruby-dev:39986] [Feature #2574] merging net/https"

on Fri, 8 Jan 2010 09:40:08 +0900, Yui NARUSE redmine@ruby-lang.org writes:

|現在 net/https はほとんど抜け殻で、ほぼ require 'openssl' するためだけに存在するのですが、

|残っているロジックも net/http に移してしまって、net/http だけで https も扱えるようにしませんか。

|autoload を使って https に実際にアクセスしたときに openssl ライブラリをロードするようにしたので、

|無駄に読み込むこともありません。

|

|なお、net/https は require を使うままにしているので、こちらだともし openssl ライブラリがない場合、

|net/https ロード時にエラーが出るという現在の挙動をそのまま利用できます。

前田さんの決定を待つべきですが、私は賛成します。

=end

#2 - 01/08/2010 09:14 PM - naruse (Yui NARUSE)

=begin

net/http は青木プロダクトなのでメンテナは青木さんでした。

つまり、今はメンテナがいません。

というわけで、まつもとさんが賛成したのでこれはコミットしてしまいます。

=end

#3 - 01/08/2010 09:27 PM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r26254.

Yui, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end

Files

merge_https.patch 2.82 KB 01/08/2010 naruse (Yui NARUSE)
